'<%
'************************************************
' File:    ListaGruppi.vbs
' Autore:  Giovanni Cenati 
'          Elenca i gruppi del dominio corrente
'          Li scrive su un foglio excel.
'          Lists group names and descriptions
'          in an excel sheet.
'          http://digilander.libero.it/Cenati 
'************************************************
Set WshShell = WScript.CreateObject("WScript.Shell")

' Ottiene il nome del dominio e dell'utente
DOMAIN_NAME = WshShell.ExpandEnvironmentStrings("%USERDOMAIN%")

'EXCEL: crea oggetto, lo rende visibile, aggiunge un foglio di lavoro.
Dim oXL
Set oXL = WScript.CreateObject("Excel.Application")
oXL.Visible = TRUE
oXL.WorkBooks.Add
Dim nIndex
nIndex = 1 'Riga dove inizia a scrivere in excel
on error resume next
'Si collega al server e ottiene li dati dei gruppi
'(nome e descrizione)
Set oDomain = GetObject("WinNT://" & DOMAIN_NAME)
oDomain.Filter = Array("group")
For Each oGroup In oDomain
   xlWrite oGroup.name,  oGroup.Description
Next

set oDomain=nothing

msgbox "Creazione file con elenco gruppi del dominio completata",,"Lista 

Gruppi"

'EXCEL: scrive sulle  colonne i dati passati come parametri
'e poi passa alla riga successiva.
Sub xlWrite(GroupID,  Description)
	oXL.Cells(nIndex, 1).Value = GroupID
	oXL.Cells(nIndex, 2).Value = Description
	nIndex = nIndex + 1
End Sub
'*** ListaGruppi.vbs - Fine Programma ***